#!/usr/bin/perl -w

use strict;

use Slash;
use Slash::Utility;

my $virtual_user = shift || 'slash';
createEnvironment($virtual_user);
my $slashdb = getCurrentDB();

print <<HEADER;
Slash Configuration Variables
Name		=> Values (Description)
-----------------------------------
HEADER

my $sth = $slashdb->sqlSelectMany('name, value, description', 'vars');
while(my $row = $sth->fetchrow_hashref()) {
	print "$row->{name}		=> $row->{value} ($row->{description})\n";
}

print "Generated at " . scalar localtime . " by $0\n";
